Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender
Class ClientProperties

    java.lang.Object
      nextapp.echo2.webrender.ClientProperties

All Implemented Interfaces:
  java.io.Serializable

    public class ClientProperties

extends java.lang.Object
implements java.io.Serializable

A description of the client browser environment.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BROWSER_INTERNET_EXPLORER` Flag indicating that the browser is a derivative of the Microsoft Internet Explorer browser platform.
`static java.lang.String` | `BROWSER_KONQUEROR` Flag indicating that the browser is a derivative of the KDE Konqueror browser platform.
`static java.lang.String` | `BROWSER_MOZILLA` Flag indicating that the browser is a derivative of the Mozilla 1.0-1.8+ browser platform.
`static java.lang.String` | `BROWSER_MOZILLA_FIREFOX` Flag indicating that the browser is a derivative of the Mozilla Firefox 1.0+ browser platform.
`static java.lang.String` | `BROWSER_OPERA` Flag indicating that the browser is a derivative of the Opera browser platform.
`static java.lang.String` | `BROWSER_SAFARI` Flag indicating that the browser is a derivative of the Apple Safari browser platform.
`static java.lang.String` | `BROWSER_VERSION_MAJOR` The major version number of the browser.
`static java.lang.String` | `BROWSER_VERSION_MINOR` The minor version number of the browser.
`static java.lang.String` | `LOCALES` The `Locale` of the client, derived from the language property.
`static java.lang.String` | `NAVIGATOR_APP_CODE_NAME` The client's navigator.appCodeName property.
`static java.lang.String` | `NAVIGATOR_APP_NAME` The client's navigator.appName property.
`static java.lang.String` | `NAVIGATOR_APP_VERSION` The client's navigator.appVersion property.
`static java.lang.String` | `NAVIGATOR_COOKIE_ENABLED` The client's navigator.cookieEnabled property.
`static java.lang.String` | `NAVIGATOR_JAVA_ENABLED` The client's navigator.javaEnabled property.
`static java.lang.String` | `NAVIGATOR_LANGUAGE` The client's navigator.language (or navigator.userLanguage) property.
`static java.lang.String` | `NAVIGATOR_PLATFORM` The client's navigator.platform property.
`static java.lang.String` | `NAVIGATOR_USER_AGENT` The client's navigator.userAgent property.
`static java.lang.String` | `PROPRIETARY_EVENT_MOUSE_ENTER_LEAVE_SUPPORTED` A proprietary feature flag indicating that 'mouseenter' and 'mouseleave' events are supported.
`static java.lang.String` | `PROPRIETARY_IE_CSS_EXPRESSIONS_SUPPORTED` A proprietary feature flag indicating support for IE-style CSS expressions.
`static java.lang.String` | `PROPRIETARY_IE_PNG_ALPHA_FILTER_REQUIRED` A proprietary feature flag indicating that PNG alpha channel support is available only by using a 'filter'.
`static java.lang.String` | `QUIRK_CSS_BACKGROUND_ATTACHMENT_USE_FIXED` A quirk flag indicating that the 'fixed' attribute should be used to for fixed-to-element background attachment.
`static java.lang.String` | `QUIRK_CSS_BORDER_COLLAPSE_FOR_0_PADDING` A quirk flag indicating the only means of achieving 0 padding in table cells is to use 0px padding.
`static java.lang.String` | `QUIRK_CSS_BORDER_COLLAPSE_INSIDE` A quirk flag indicating whether the client will incorrectly render CSS collapsed borders such that they reside entirely within the region of a component.
`static java.lang.String` | `QUIRK_CSS_POSITIONING_ONE_SIDE_ONLY` A quirk flag indicating that CSS positioning values do not work correctly when either both "top" and "bottom" or "left" and "right" positions are set at the same time.
`static java.lang.String` | `QUIRK_IE_REPAINT` A quirk flag describing the curious repaint behavior found in Internet Explorer 6, where repaints may be excessively delayed.
`static java.lang.String` | `QUIRK_IE_SELECT_LIST_DOM_UPDATE` A quirk flag indicating that listbox-style select fields cannot be reliably manipulated using the client DOM API.
`static java.lang.String` | `QUIRK_IE_SELECT_PERCENT_WIDTH` A quirk flag indicating that select fields with percentage widths are not reliably rendered.
`static java.lang.String` | `QUIRK_IE_SELECT_Z_INDEX` A quirk flag describing the issue of "windowed" select fields in Internet Explorer, which do not render correctly with regard to z-index value.
`static java.lang.String` | `QUIRK_IE_TABLE_PERCENT_WIDTH_SCROLLBAR_ERROR` A quirk flag indicating incorrect calculation of 100% table widths when within a vertically scrolling region.
`static java.lang.String` | `QUIRK_IE_TEXTAREA_NEWLINE_OBLITERATION` A quirk flag indicating the incorrect parsing of newlines in the content of a 'textarea'.
`static java.lang.String` | `QUIRK_MOZILLA_PERFORMANCE_LARGE_DOM_REMOVE` A quirk flag indicating whether the client has poor performance when attempting to remove large element hierarchies from a DOM.
`static java.lang.String` | `QUIRK_MOZILLA_TEXT_INPUT_REPAINT` A quirk flag describing a Mozilla-specific behavior where the text contained within text input fields may be drawn outside of text input component due to the component having shifted its location on the page.
`static java.lang.String` | `QUIRK_OPERA_NO_CSS_TEXT` A quirk flag describing an Opera-specific issue where the CSSStyleDeclaration.cssText property is unsupported.
`static java.lang.String` | `QUIRK_TEXTAREA_CONTENT` A quirk flag describing various issues with rendering content in TEXTAREA elements.
`static java.lang.String` | `REMOTE_HOST` The client host.
`static java.lang.String` | `SCREEN_COLOR_DEPTH` Color depth of the screen in bits (integer).
`static java.lang.String` | `SCREEN_HEIGHT` Height of the screen in pixels (integer).
`static java.lang.String` | `SCREEN_WIDTH` Width of the screen in pixels (integer).
`static java.lang.String` | `UTC_OFFSET` The client's time offset from UTC in minutes.
`static java.lang.String` | `WINDOW_HEIGHT` Height of the window in pixels (integer).
`static java.lang.String` | `WINDOW_WIDTH` Width of the window in pixels (integer).

Constructor Summary
`ClientProperties()` Creates a new `ClientProperties` object.

Method Summary
`java.lang.Object` | `get(java.lang.String propertyName)` Returns the value of the specified property as an `Object`.
`boolean` | `getBoolean(java.lang.String propertyName)` Returns a `boolean` property.
`int` | `getInt(java.lang.String propertyName, int nullValue)` Returns a `int` property.
`java.lang.String[]` | `getPropertyNames()` Returns an array of all property names which are set.
`java.lang.String` | `getString(java.lang.String propertyName)` Returns a `String` property.
`void` | `setProperty(java.lang.String propertyName, java.lang.Object propertyValue)` Sets the value of the specified property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUIRK_CSS_POSITIONING_ONE_SIDE_ONLY

    public static final java.lang.String QUIRK_CSS_POSITIONING_ONE_SIDE_ONLY

  A quirk flag indicating that CSS positioning values do not work correctly when either both "top" and "bottom" or "left" and "right" positions are set at the same time.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_CSS_BORDER_COLLAPSE_FOR_0_PADDING

    public static final java.lang.String QUIRK_CSS_BORDER_COLLAPSE_FOR_0_PADDING

  A quirk flag indicating the only means of achieving 0 padding in table cells is to use 0px padding.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_CSS_BORDER_COLLAPSE_INSIDE

    public static final java.lang.String QUIRK_CSS_BORDER_COLLAPSE_INSIDE

  A quirk flag indicating whether the client will incorrectly render CSS collapsed borders such that they reside entirely within the region of a component.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_CSS_BACKGROUND_ATTACHMENT_USE_FIXED

    public static final java.lang.String QUIRK_CSS_BACKGROUND_ATTACHMENT_USE_FIXED

  A quirk flag indicating that the 'fixed' attribute should be used to for fixed-to-element background attachment.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_MOZILLA_PERFORMANCE_LARGE_DOM_REMOVE

    public static final java.lang.String QUIRK_MOZILLA_PERFORMANCE_LARGE_DOM_REMOVE

  A quirk flag indicating whether the client has poor performance when attempting to remove large element hierarchies from a DOM. This quirk can be alleviated by removing the hierarchy in smaller chunks.

  This quirk occurs with:

  - Mozilla (all platforms)
  - Mozilla Firefox ((all platforms)

  See Also:
    Constant Field Values

### QUIRK_MOZILLA_TEXT_INPUT_REPAINT

    public static final java.lang.String QUIRK_MOZILLA_TEXT_INPUT_REPAINT

  A quirk flag describing a Mozilla-specific behavior where the text contained within text input fields may be drawn outside of text input component due to the component having shifted its location on the page.

  This quirk occurs with:

  - Mozilla (all platforms)
  - Mozilla Firefox ((all platforms)

  See Also:
    Constant Field Values

### QUIRK_OPERA_NO_CSS_TEXT

    public static final java.lang.String QUIRK_OPERA_NO_CSS_TEXT

  A quirk flag describing an Opera-specific issue where the CSSStyleDeclaration.cssText property is unsupported.

  This quirk occurs with:

  - Opera

  See Also:
    Constant Field Values

### QUIRK_IE_SELECT_Z_INDEX

    public static final java.lang.String QUIRK_IE_SELECT_Z_INDEX

  A quirk flag describing the issue of "windowed" select fields in Internet Explorer, which do not render correctly with regard to z-index value. See http://support.microsoft.com/kb/q177378/ for an explanation of the underlying issue.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_TEXTAREA_CONTENT

    public static final java.lang.String QUIRK_TEXTAREA_CONTENT

  A quirk flag describing various issues with rendering content in TEXTAREA elements. This quirk includes IE problems with "newline obliteration", and Opera8 problems with simply ignoring textarea content with importNode().

  This quirk occurs with:

  - Internet Explorer 6 (Windows)
  - Opera 8 (Linux and Windows Tested, assuming all))

  See Also:
    Constant Field Values

### QUIRK_IE_TEXTAREA_NEWLINE_OBLITERATION

    public static final java.lang.String QUIRK_IE_TEXTAREA_NEWLINE_OBLITERATION

  A quirk flag indicating the incorrect parsing of newlines in the content of a 'textarea'.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)
  This a more specific version of `QUIRK_TEXTAREA_CONTENT`. Now that it has been discovered that Opera has similar issues, `QUIRK_TEXTAREA_CONTENT` should be used instead.

  See Also:
    Constant Field Values

### QUIRK_IE_REPAINT

    public static final java.lang.String QUIRK_IE_REPAINT

  A quirk flag describing the curious repaint behavior found in Internet Explorer 6, where repaints may be excessively delayed. This quirky behavior is most visible when the DOM hierarchy is large and complex. The unlikely workaround for this quirky behavior is to "tickle" (adjust and then reset) the CSS width of an element, which will force an immediate repaint.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_IE_TABLE_PERCENT_WIDTH_SCROLLBAR_ERROR

    public static final java.lang.String QUIRK_IE_TABLE_PERCENT_WIDTH_SCROLLBAR_ERROR

  A quirk flag indicating incorrect calculation of 100% table widths when within a vertically scrolling region.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_IE_SELECT_LIST_DOM_UPDATE

    public static final java.lang.String QUIRK_IE_SELECT_LIST_DOM_UPDATE

  A quirk flag indicating that listbox-style select fields cannot be reliably manipulated using the client DOM API.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### QUIRK_IE_SELECT_PERCENT_WIDTH

    public static final java.lang.String QUIRK_IE_SELECT_PERCENT_WIDTH

  A quirk flag indicating that select fields with percentage widths are not reliably rendered.

  This quirk occurs with:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### PROPRIETARY_IE_CSS_EXPRESSIONS_SUPPORTED

    public static final java.lang.String PROPRIETARY_IE_CSS_EXPRESSIONS_SUPPORTED

  A proprietary feature flag indicating support for IE-style CSS expressions.

  This proprietary feature is provided by:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### PROPRIETARY_IE_PNG_ALPHA_FILTER_REQUIRED

    public static final java.lang.String PROPRIETARY_IE_PNG_ALPHA_FILTER_REQUIRED

  A proprietary feature flag indicating that PNG alpha channel support is available only by using a 'filter'.

  This proprietary feature is provided by:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### PROPRIETARY_EVENT_MOUSE_ENTER_LEAVE_SUPPORTED

    public static final java.lang.String PROPRIETARY_EVENT_MOUSE_ENTER_LEAVE_SUPPORTED

  A proprietary feature flag indicating that 'mouseenter' and 'mouseleave' events are supported.

  This proprietary feature is provided by:

  - Internet Explorer 6 (Windows)

  See Also:
    Constant Field Values

### SCREEN_WIDTH

    public static final java.lang.String SCREEN_WIDTH

  Width of the screen in pixels (integer).

  See Also:
    Constant Field Values

### SCREEN_HEIGHT

    public static final java.lang.String SCREEN_HEIGHT

  Height of the screen in pixels (integer).

  See Also:
    Constant Field Values

### WINDOW_WIDTH

    public static final java.lang.String WINDOW_WIDTH

  Width of the window in pixels (integer).

  See Also:
    Constant Field Values

### WINDOW_HEIGHT

    public static final java.lang.String WINDOW_HEIGHT

  Height of the window in pixels (integer).

  See Also:
    Constant Field Values

### SCREEN_COLOR_DEPTH

    public static final java.lang.String SCREEN_COLOR_DEPTH

  Color depth of the screen in bits (integer).

  See Also:
    Constant Field Values

### BROWSER_MOZILLA

    public static final java.lang.String BROWSER_MOZILLA

  Flag indicating that the browser is a derivative of the Mozilla 1.0-1.8+ browser platform.

  See Also:
    Constant Field Values

### BROWSER_MOZILLA_FIREFOX

    public static final java.lang.String BROWSER_MOZILLA_FIREFOX

  Flag indicating that the browser is a derivative of the Mozilla Firefox 1.0+ browser platform.

  See Also:
    Constant Field Values

### BROWSER_INTERNET_EXPLORER

    public static final java.lang.String BROWSER_INTERNET_EXPLORER

  Flag indicating that the browser is a derivative of the Microsoft Internet Explorer browser platform.

  See Also:
    Constant Field Values

### BROWSER_KONQUEROR

    public static final java.lang.String BROWSER_KONQUEROR

  Flag indicating that the browser is a derivative of the KDE Konqueror browser platform.

  See Also:
    Constant Field Values

### BROWSER_SAFARI

    public static final java.lang.String BROWSER_SAFARI

  Flag indicating that the browser is a derivative of the Apple Safari browser platform.

  See Also:
    Constant Field Values

### BROWSER_OPERA

    public static final java.lang.String BROWSER_OPERA

  Flag indicating that the browser is a derivative of the Opera browser platform.

  See Also:
    Constant Field Values

### BROWSER_VERSION_MAJOR

    public static final java.lang.String BROWSER_VERSION_MAJOR

  The major version number of the browser.

  See Also:
    Constant Field Values

### BROWSER_VERSION_MINOR

    public static final java.lang.String BROWSER_VERSION_MINOR

  The minor version number of the browser.

  See Also:
    Constant Field Values

### LOCALES

    public static final java.lang.String LOCALES

  The `Locale` of the client, derived from the language property.

  See Also:
    Constant Field Values

### NAVIGATOR_APP_NAME

    public static final java.lang.String NAVIGATOR_APP_NAME

  The client's navigator.appName property.

  See Also:
    Constant Field Values

### NAVIGATOR_APP_VERSION

    public static final java.lang.String NAVIGATOR_APP_VERSION

  The client's navigator.appVersion property.

  See Also:
    Constant Field Values

### NAVIGATOR_APP_CODE_NAME

    public static final java.lang.String NAVIGATOR_APP_CODE_NAME

  The client's navigator.appCodeName property.

  See Also:
    Constant Field Values

### NAVIGATOR_COOKIE_ENABLED

    public static final java.lang.String NAVIGATOR_COOKIE_ENABLED

  The client's navigator.cookieEnabled property.

  See Also:
    Constant Field Values

### NAVIGATOR_JAVA_ENABLED

    public static final java.lang.String NAVIGATOR_JAVA_ENABLED

  The client's navigator.javaEnabled property.

  See Also:
    Constant Field Values

### NAVIGATOR_LANGUAGE

    public static final java.lang.String NAVIGATOR_LANGUAGE

  The client's navigator.language (or navigator.userLanguage) property.

  See Also:
    Constant Field Values

### NAVIGATOR_PLATFORM

    public static final java.lang.String NAVIGATOR_PLATFORM

  The client's navigator.platform property.

  See Also:
    Constant Field Values

### NAVIGATOR_USER_AGENT

    public static final java.lang.String NAVIGATOR_USER_AGENT

  The client's navigator.userAgent property.

  See Also:
    Constant Field Values

### REMOTE_HOST

    public static final java.lang.String REMOTE_HOST

  The client host. Note this is the original host address used when the `ClientProperties` object was created, which is not necessarily the same as that making the current HTTP request.

  See Also:
    Constant Field Values

### UTC_OFFSET

    public static final java.lang.String UTC_OFFSET

  The client's time offset from UTC in minutes.

  See Also:
    Constant Field Values

Constructor Detail

### ClientProperties

    public ClientProperties()

  Creates a new `ClientProperties` object.

Method Detail

### get

    public java.lang.Object get(java.lang.String propertyName)

  Returns the value of the specified property as an `Object`.

  Parameters:
    `propertyName` - the property name
  Returns:
    the property value

### getBoolean

    public boolean getBoolean(java.lang.String propertyName)

  Returns a `boolean` property. If the property is not set, `false` is returned.

  Parameters:
    `propertyName` - the property name
  Returns:
    the property value

### getInt

    public int getInt(java.lang.String propertyName,
                      int nullValue)

  Returns a `int` property. If the property is not set, `nullValue` is returned.

  Parameters:
    `propertyName` - the property name
    `nullValue` - the returned value when the property is not set
  Returns:
    the property value

### getString

    public java.lang.String getString(java.lang.String propertyName)

  Returns a `String` property. If the property is not set, `null` is returned.

  Parameters:
    `propertyName` - the property name
  Returns:
    the property value

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Returns an array of all property names which are set.

  Returns:
    the array

### setProperty

    public void setProperty(java.lang.String propertyName,
                            java.lang.Object propertyValue)

  Sets the value of the specified property.

  Parameters:
    `propertyName` - the property name
    `propertyValue` - the property value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD